## mateconf-internals

mateconf-internals

## Synopsis

    gchar *             mateconf_key_directory                 (const gchar *key);
    const gchar *       mateconf_key_key                       (const gchar *key);
    MateConfValue *        mateconf_value_from_corba_value        (const ConfigValue *value);
    MateConfSchema *       mateconf_schema_from_corba_schema      (const ConfigSchema *cs);
    const gchar *       mateconf_value_type_to_string          (MateConfValueType type);
    MateConfValueType      mateconf_value_type_from_string        (const gchar *str);
    GSList *            mateconf_load_source_path              (const gchar *filename,
                                                             GError **err);
    void                mateconf_shutdown_daemon               (GError **err);
    gboolean            mateconf_ping_daemon                   (void);
    gboolean            mateconf_spawn_daemon                  (GError **err);
    gulong              mateconf_string_to_gulong              (const gchar *str);
    const gchar *       mateconf_current_locale                (void);
    enum                MateConfLogPriority;
    void                mateconf_log                           (MateConfLogPriority pri,
                                                             const gchar *format,
                                                             ...);
    gboolean            mateconf_key_check                     (const gchar *key,
                                                             GError **err);
    MateConfValue *        mateconf_value_new_list_from_string    (MateConfValueType list_type,
                                                             const gchar *str,
                                                             GError **err);
    MateConfValue *        mateconf_value_new_pair_from_string    (MateConfValueType car_type,
                                                             MateConfValueType cdr_type,
                                                             const gchar *str,
                                                             GError **err);
    gchar *             mateconf_quote_string                  (const gchar *str);
    gchar *             mateconf_unquote_string                (const gchar *str,
                                                             const gchar **end,
                                                             GError **err);
    void                mateconf_unquote_string_inplace        (gchar *str,
                                                             gchar **end,
                                                             GError **err);
    MateConfValue *        mateconf_value_decode                  (const gchar *encoded);
    gchar *             mateconf_value_encode                  (MateConfValue *val);
    MateConfValue *        mateconf_value_list_from_primitive_list
                                                            (MateConfValueType list_type,
                                                             GSList *list,
                                                             GError **err);
    MateConfValue *        mateconf_value_pair_from_primitive_pair
                                                            (MateConfValueType car_type,
                                                             MateConfValueType cdr_type,
                                                             gconstpointer address_of_car,
                                                             gconstpointer address_of_cdr,
                                                             GError **err);
    GSList *            mateconf_value_list_to_primitive_list_destructive
                                                            (MateConfValue *val,
                                                             MateConfValueType list_type,
                                                             GError **err);
    gboolean            mateconf_value_pair_to_primitive_pair_destructive
                                                            (MateConfValue *val,
                                                             MateConfValueType car_type,
                                                             MateConfValueType cdr_type,
                                                             gpointer car_retloc,
                                                             gpointer cdr_retloc,
                                                             GError **err);
    void                mateconf_set_daemon_mode               (gboolean setting);
    gboolean            mateconf_handle_oaf_exception          (CORBA_Environment *ev,
                                                             GError **err);

## Description

## Details

### mateconf_key_directory ()

    gchar *             mateconf_key_directory                 (const gchar *key);

`key` : |
Returns : |

### mateconf_key_key ()

    const gchar *       mateconf_key_key                       (const gchar *key);

`key` : |
Returns : |

### mateconf_value_from_corba_value ()

    MateConfValue *        mateconf_value_from_corba_value        (const ConfigValue *value);

`value` : |
Returns : |

### mateconf_schema_from_corba_schema ()

    MateConfSchema *       mateconf_schema_from_corba_schema      (const ConfigSchema *cs);

`cs` : |
Returns : |

### mateconf_value_type_to_string ()

    const gchar *       mateconf_value_type_to_string          (MateConfValueType type);

`type` : |
Returns : |

### mateconf_value_type_from_string ()

    MateConfValueType      mateconf_value_type_from_string        (const gchar *str);

`str` : |
Returns : |

### mateconf_load_source_path ()

    GSList *            mateconf_load_source_path              (const gchar *filename,
                                                             GError **err);

`filename` : |
`err` : |
Returns : |

### mateconf_shutdown_daemon ()

    void                mateconf_shutdown_daemon               (GError **err);

`err` : |

### mateconf_ping_daemon ()

    gboolean            mateconf_ping_daemon                   (void);

Returns : |

### mateconf_spawn_daemon ()

    gboolean            mateconf_spawn_daemon                  (GError **err);

`err` : |
Returns : |

### mateconf_string_to_gulong ()

    gulong              mateconf_string_to_gulong              (const gchar *str);

`str` : |
Returns : |

### mateconf_current_locale ()

    const gchar *       mateconf_current_locale                (void);

Returns : |

### enum MateConfLogPriority

    typedef enum {
      GCL_EMERG,
      GCL_ALERT,
      GCL_CRIT,
      GCL_ERR,
      GCL_WARNING,
      GCL_NOTICE,
      GCL_INFO,
      GCL_DEBUG
    } MateConfLogPriority;

### mateconf_log ()

    void                mateconf_log                           (MateConfLogPriority pri,
                                                             const gchar *format,
                                                             ...);

`pri` : |
`format` : |
`...` : |

### mateconf_key_check ()

    gboolean            mateconf_key_check                     (const gchar *key,
                                                             GError **err);

`key` : |
`err` : |
Returns : |

### mateconf_value_new_list_from_string ()

    MateConfValue *        mateconf_value_new_list_from_string    (MateConfValueType list_type,
                                                             const gchar *str,
                                                             GError **err);

This function does not work. Don't use it.

`list_type` : |
`str` : |
`err` : |
Returns : |

### mateconf_value_new_pair_from_string ()

    MateConfValue *        mateconf_value_new_pair_from_string    (MateConfValueType car_type,
                                                             MateConfValueType cdr_type,
                                                             const gchar *str,
                                                             GError **err);

This function does not work. Don't use it.

`car_type` : |
`cdr_type` : |
`str` : |
`err` : |
Returns : |

### mateconf_quote_string ()

    gchar *             mateconf_quote_string                  (const gchar *str);

`str` : |
Returns : |

### mateconf_unquote_string ()

    gchar *             mateconf_unquote_string                (const gchar *str,
                                                             const gchar **end,
                                                             GError **err);

`str` : |
`end` : |
`err` : |
Returns : |

### mateconf_unquote_string_inplace ()

    void                mateconf_unquote_string_inplace        (gchar *str,
                                                             gchar **end,
                                                             GError **err);

`str` : |
`end` : |
`err` : |

### mateconf_value_decode ()

    MateConfValue *        mateconf_value_decode                  (const gchar *encoded);

`encoded` : |
Returns : |

### mateconf_value_encode ()

    gchar *             mateconf_value_encode                  (MateConfValue *val);

`val` : |
Returns : |

### mateconf_value_list_from_primitive_list ()

    MateConfValue *        mateconf_value_list_from_primitive_list
                                                            (MateConfValueType list_type,
                                                             GSList *list,
                                                             GError **err);

`list_type` : |
`list` : |
`err` : |
Returns : |

### mateconf_value_pair_from_primitive_pair ()

    MateConfValue *        mateconf_value_pair_from_primitive_pair
                                                            (MateConfValueType car_type,
                                                             MateConfValueType cdr_type,
                                                             gconstpointer address_of_car,
                                                             gconstpointer address_of_cdr,
                                                             GError **err);

`car_type` : |
`cdr_type` : |
`address_of_car` : |
`address_of_cdr` : |
`err` : |
Returns : |

### mateconf_value_list_to_primitive_list_destructive ()

    GSList *            mateconf_value_list_to_primitive_list_destructive
                                                            (MateConfValue *val,
                                                             MateConfValueType list_type,
                                                             GError **err);

`val` : |
`list_type` : |
`err` : |
Returns : |

### mateconf_value_pair_to_primitive_pair_destructive ()

    gboolean            mateconf_value_pair_to_primitive_pair_destructive
                                                            (MateConfValue *val,
                                                             MateConfValueType car_type,
                                                             MateConfValueType cdr_type,
                                                             gpointer car_retloc,
                                                             gpointer cdr_retloc,
                                                             GError **err);

`val` : |
`car_type` : |
`cdr_type` : |
`car_retloc` : |
`cdr_retloc` : |
`err` : |
Returns : |

### mateconf_set_daemon_mode ()

    void                mateconf_set_daemon_mode               (gboolean setting);

`setting` : |

### mateconf_handle_oaf_exception ()

    gboolean            mateconf_handle_oaf_exception          (CORBA_Environment *ev,
                                                             GError **err);

`ev` : |
`err` : |
Returns : |